#phones{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    justify-items: center;
}

button{
    background-color: transparent;
    border: 1px solid #dc143c;
    border-radius: 10px;
    padding: 5px 15px;
    margin: 10px;
}

.searchGroup{
    display: flex;
    justify-content: center;
    align-items: center;
    padding:20px;
}

#searchInput{
    padding: 7px 10px;
    border: 1px solid #dc143c;
    border-radius: 10px;
    outline: none;
    font-size: 16px;
    width: 600px;
    box-shadow: 
    12px 12px 16px 0 rgba(255, 255, 255, 0.3) inset,
    -8px -8px 12px 0 rgba(0, 0, 0, .25) inset;
}

#searchBtn{
    padding: 5px 10px;
    border: none;
    border-radius: 10px;
    outline: none;
    background: transparent;
    font-size: 20px;
    color: #dc143c;
}

.error{
    display: flex;
    justify-content: center;
    align-items: center;
    color: #dc143c;
    font-size: 20px;
}

#preLoaderCon{
    background-color: #ffffff;
    width: 100%;
    height: 100%;
    z-index: 99;
    display: none;
    justify-items: center;
}







/* Media queries */

@media(max-width:991px){
    #phones{
        display: grid;
        grid-template-columns: repeat(2,1fr);
    }
}

@media(max-width:767px){
    #phones{
        display: grid;
        grid-template-columns: repeat(1,1fr);
    }
}

@media(max-width:575px){
    #phones{
        display: grid;
        grid-template-columns: repeat(1,1fr);
    }

    .heading{
        display: grid;
        justify-items: center;
        align-items: center;
        padding:20px;
        margin: auto;
    }
    
}